package main

import "log"

func cleanup() {
	if botAPI != nil {
		botAPI.StopReceivingUpdates()
	}

	if session != nil {
		if err := session.Close(); err != nil {
			log.Printf("error closing discord session: %s", err)
		}
	}
}
