//go:build !windows

package main

import (
	"log"
	"os"
	"syscall"
)

func restart() {
	var err error
	if exec == "" {
		return
	}

	if _, err = os.Stat(exec); err != nil {
		log.Fatalf("error stat exec: %s", err)
	}

	log.Printf("execve %s", exec)
	err = syscall.Exec(exec, os.Args, os.Environ())
	if err != nil {
		log.Fatalf("error execve: %s", err)
	}
}
