package main

import (
	"log"
	"os"
)

func restart() {
	if exec == "" {
		return
	}

	if _, err := os.Stat(executable); err != nil {
		log.Fatalf("error stat exec: %s", err)
	}
	wd, err := os.Getwd()
	if err != nil {
		log.Fatalf("error getwd: %s", err)
	}
	log.Printf("pwd is %s", wd)

	if _, err = os.StartProcess(executable, []string{}, &os.ProcAttr{
		Dir:   wd,
		Env:   nil,
		Files: []*os.File{os.Stderr, os.Stdin, os.Stdout},
		Sys:   nil,
	}); err != nil {
		log.Fatalf("error start process: %s", err)
	}
}
